{% extends 'base_navbar.html' %}
{% load static icon %}
{% load mathfilters %}
{% load humanize %}

{% block title %}
    Grille Tarifaire
{% endblock %}

{% block navbar_tresorerie %}
    active
{% endblock %}

{% block head_css %}
    <link href="{% static 'treso/css/facture.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block content %}
    <header>
        <h1>Grille tarifaire</h1>
        <div class="header-content">
            <p>
                Vous pouvez ajouter des entrées à la grille tarifaire.
                Cette page n'est pas accessible aux clients.
                Elle permet simplement de générer des factures facilement.
                Pour supprimer une entrée, vous devez supprimer les factures associées.
            </p>
            <button class="btn btn-outline-dark" onclick="location.href='{% url 'ajouter_entree_grille' %}'">
                <i class="fas fa-plus-circle"></i> Ajouter une entrée
            </button>
        </div>
    </header>

    <div class="container-fluid">
        {% regroup entrees by categorie as entrees_categorisees %}
        {% for categorie in entrees_categorisees %}
            {% if categorie.grouper %}
                <h3>{{ categorie.grouper.nom }}</h3>
            {% else %}
                <h3>Autres</h3>
            {% endif %}

            {% for entree in categorie.list %}
                <div class="card card-lg">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-8">
                                <h3>{{ entree.nom }} : <strong>{{ entree.prix|floatformat:2|intcomma }}
                                    €</strong></h3>
                                {% if entree.description %}
                                    <p>{{ entree.description }}</p>
                                {% endif %}
                            </div>
                            <div class="col-md-2">
                                <div class="btn-group">
                                    <a class="btn btn-dark"
                                       href="{% url 'modifier_entree_grille' entree.id %}">Modifier</a>
                                    {% if not entree.est_lie %}
                                        <a class="btn btn-danger" href="{% url 'supprimer_entree_grille' entree.id %}"
                                           data-toggle="confirmation" data-btn-ok-label="Supprimer"
                                           data-btn-cancel-label="Annuler" data-btn-ok-class="btn-danger"
                                           data-title="Voulez vous vraiment supprimer la prestation ?">Supprimer</a>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
            <hr>
        {% endfor %}

    </div>
{% endblock %}


{% block footer_javascript %}
    {# Plugin confirmation box #}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>

    <script type="text/javascript">
        $(function () {
            $('[data-toggle=confirmation]').confirmation({
                rootSelector: '[data-toggle=confirmation]'
            });
        });
    </script>
{% endblock %}
